﻿/* Styles */
html, body {
    height: 100%;
    overflow: hidden;
    width: 100%;
}

body {
    background-color: #eaeaea;
}

.title-bar {
    border-bottom: 1px solid;
    border-radius: 0;
    box-shadow: 0 4px 0 rgba(0, 0, 0, 0.1);
    height: 50px;
    background: #354861; /* Old browsers */
    background: -moz-linear-gradient(top, #354861 22%, #0f2644 65%, #0f2644 100%); /* FF3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(22%,#354861), color-stop(65%,#0f2644), color-stop(100%,#0f2644)); /* Chrome,Safari4+ */
    background: -webkit-linear-gradient(top, #354861 22%,#0f2644 65%,#0f2644 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(top, #354861 22%,#0f2644 65%,#0f2644 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(top, #354861 22%,#0f2644 65%,#0f2644 100%); /* IE10+ */
    background: linear-gradient(to bottom, #354861 22%,#0f2644 65%,#0f2644 100%); /* W3C */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#354861', endColorstr='#0f2644',GradientType=0 ); /* IE6-9 */
}

    .title-bar a {
        font-size: 18px;
        font-family: 'Open Sans',Arial, Tahoma, sans-serif;
    }


#versionNum {
    float:right; 
    display:inline-block; 
    padding-right: 10px;
    color: white; 
    font-size: 10px;
}

@media (max-width: 992px) {
    #versionNum {
        display: none;
    }
}

.PageModel {
    padding-bottom: 150px;
}

#main-body {
    height: calc(100% - 50px);
    overflow: auto;
    padding: 15px;
    font-size: 12px;
}

#model {
    overflow: hidden;
}

.title-bar a {
    color: #ffffff;
    text-decoration: none;
}

.tier-list {
    list-style: disc;
    margin-left:20px;
}

.title-bar a:hover {
        color: #ffffff;
        cursor: pointer;
        text-decoration: none;
    }

.title-bar a:active {
    color: #ffffff;
    cursor: pointer;
    text-decoration: none;
}

a:hover {
    color: #000000;
    cursor: pointer;
    text-decoration: none;
}

.navbar-header {
    float: left;
}

.panel-well {
    -webkit-box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    background-color: #ffffff;
    border: 1px solid transparent;
    border-radius: 2px;
    box-shadow: 0 1px 1px rgba(0, 0, 0, .05);
    margin-bottom: 15px;
    min-height: 20px;
    padding: 15px;
}

#info {
    display: none;
}

label {
    font-size: 15px;
    font-weight: 600;
    text-align: left;
}

.multiselect-button {
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.disable {
    color: darkgray;
}

.tooltip-question-circle {
    display: inline-block;
    font-size: inherit;
    width: 16px;
    height: 16px;
    background-image: url('../images/question23.svg');
    background-size: 16px 16px;
}

.bar-icon {
    width: 24px;
    height: 24px;
    background-image: url('../images/fa-reorder.svg');
    background-size: 24px 24px;
}

#input-api-url {
    font-size: .85em;
    background-color: #fff;
    color: #003f59;
    background: 0;
    height: 2.42em;
    text-indent: .8em;
    border-radius: 4px;
    border-color: #94c0d2;
    outline: 0;
    padding: 2px .3em;
    line-height: 1.6em;
    border-width: 1px;
    border-style: solid;
    overflow: visible;
}

.ms-container li:hover {
    cursor: pointer;
    color: #fff;
    text-decoration: none;
    background-color: #2a4d7a;
}

.vertical-align {
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.vertical-align a {
        display: block;
        height: inherit;
    }

.k-widget.k-tooltip {
    margin-left: 10px;
    background-color: #ffffff;
    border-radius: 2px;
    text-align: left;
    font-size: 12px;
}

.logo-container {
    float: left;
}

.logo-container img {
        margin-top: 3px;
        width: 70px;
    }

.nav-tree {
    display: block;
    float: right;
    width: 100%;
}

.nav-tree ul {
    display: none;
}

.navbar-button {
    margin: 7px auto;
    width: 43px;
    height: 35px;
    padding: 0;
    border-radius: 2px;
    border: 1px black;
}

.k-progressbar {
    background-color: #ffffff;
}

.attribute-multi-select-text {
    font-size: 11px;
}

textarea {
    resize: none;
}

.header-container {
        height: 50px;
    }

.nav-tree-active {
    text-align: left;
    background: #ffffff;
}

.nav-tree-active a {
    padding: 2px 15px;
    color: #000000;
    display: block;
    font-size:14px;
    font-weight: 700;
}
.nav-tree-active a:hover {
    color: #000000;
    cursor: pointer;
    text-decoration: none;
}

.nav-tree-active li:hover {
    background-color:#f9f9f9;
}

@media (min-width: 768px) {
    /* Styles */

    .navbar-header {
        display: none;
    }

    #model {
        overflow: hidden;
    }

    #info {
        display: none;
    }

}

/* Desktops and laptops ----------- */

@media (min-width: 992px) {
    /* Styles */

    #main-body {
        height: calc(100% - 100px);
        font-size: 15px;
    }

    .form-tooltip {
        height: 16px;
        text-align: left;
    }

    .title-bar {
        background-color: #536A89;
        border-bottom: 1px solid;
        border-radius: 0;
        box-shadow: 0 4px 0 rgba(0, 0, 0, 0.1);
        height: 112px;
    }

    .logo-container {
        float: none;
        padding-top: 15px;
        text-align: center;
        display: block;
        margin: 0 auto;
        width: 50%;
        font-weight: 600;
    }

    .logo-container img {
            margin-top: 0;
            width: 92px;
        }

    .nav-tree {
        height: 50px;
        display: block;
        float: none;
    }

    .nav-tree a:hover {
            background-color: #F2F2ED;
            color: #1A1F32;
        }

    .navbar-header {
        display: inherit;
    }

    #info {
        display: block;
    }

    a.nav-selected {
    background-color: inherit;

    }

    .nav-tree > ul {
        display: block;
        margin: 0 auto;
        text-align: center;
        list-style: none;
        position: inherit;
    }

    .nav-tree > ul li {
            display: inline-block;
            text-align: center;
        }

    .nav-tree > ul li a {
                padding: 5px 15px 0;
                font-weight: 600;
                display: inline-block;
                font-size: 16.5px;
                margin: 10px 5px 0;
                -moz-border-radius: 3px 3px 0 0;
                -webkit-border-radius: 3px 3px 0 0;
                border-radius: 3px 3px 0 0;
            }

    .nav-tree-active {
        position: inherit;
        text-align: inherit;
        background: inherit;
}

    .header-container {
        height:70px;
    }

    .navbar-button {
        display: none;
    }

    .nav-tree a {
       color: #ffffff;    
    }

    a.nav-selected {
    background-color: #F2F2ED;
    color: #1A1F32;
}
}


@media (min-width: 992px) {
    a.nav-selected {
        background-color: #F2F2ED;
        color: #1A1F32;
    }
}

.fa-exclamation-triangle ,.fa-check {
    font-size: 19px;
    color: #337ab7;
    opacity: .9;
}

.fa .fa-check {
    font-size: 19px;
    color: #337ab7;
    opacity: .9;
}

.alertMessage {
    width: 65%;
    margin: auto;
}

.required:after {
    content: " *";
    font-weight: bold;
    color: red;
}
.requireField {
    font-weight: 600;
}
